/*

Counts to 7 at a rate of 1 Hz and sends the current value of the counter with
the radio.  The current count is also displayed on the RGB LED.

*/

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include "led.h"
#include "tosmac.h"

// Set this to your group number
#define GROUP_NUMBER 0

int main(int argc, char *argv)
{
	int count = 0;
	int fd_led, fd_tosmac;
	TOS_Msg pkt;

	// Open the LED and radio devices
	fd_led = open("/dev/led", O_WRONLY);
	fd_tosmac = open(TOSMAC_DEVICE, O_RDWR);

	memset(&pkt, 0, sizeof(pkt));
	pkt.addr = 0xFFFF;
	pkt.length = 1;
	
	// Set the radio channel; use 11 + your group number
	ioctl(fd_tosmac, TOSMAC_IOSETCHAN, 11 + GROUP_NUMBER);

	for (;;) {
		count++;
		count &= 0x7;
		
		ioctl(fd_led, LED_SET_COLOR, count);
		
		printf("Count = %d\n", count);
		pkt.data[0] = count;
		write(fd_tosmac, &pkt, TOSH_DATA_LENGTH);

		sleep(1);
	}
}
