/*

Receives packets from the radio, displays the value of the counter received,
and displays the current counter value on the LEDs.

*/

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include "led.h"
#include "tosmac.h"

// Set this to your group number
#define GROUP_NUMBER 0

int main(int argc, char *argv)
{
	int count = 0;
	int fd_led, fd_tosmac;
	TOS_Msg pkt;

	fd_led = open("/dev/led", O_WRONLY);
	fd_tosmac = open(TOSMAC_DEVICE, O_RDWR);
	
	// Set the radio channel; use 11 + your group number
	ioctl(fd_tosmac, TOSMAC_IOSETCHAN, 11 + GROUP_NUMBER);

	memset(&pkt, 0, sizeof(pkt));

	for (;;) {
		read(fd_tosmac, &pkt, TOSH_DATA_LENGTH);
		count = pkt.data[0] & 0x7;

		printf("Count = %d\n", count);

		ioctl(fd_led, LED_SET_COLOR, count);
	}
}
